import {Button} from "semantic-ui-react";
import {Link} from "react-router-dom";
import React from "react";

const Item = ({article, isLoading, onDeleteHandler}) => {
    return <tr>
        <td>{article.id}</td>
        <td>{article.title}</td>
        <td className="truncate">{article.content}</td>
        <td>{article.user.name}</td>
        <td>
            <Button.Group>
                <Button color="blue" as={Link} to={`/articles/${article.id}`}>Show</Button>
                <Button.Or />
                <Button color="orange" as={Link} to={`/articles/${article.id}/update`}>Edit</Button>
                <Button.Or />
                <Button loading={isLoading} color="red" onClick={() => onDeleteHandler(article.id)}>Delete</Button>
            </Button.Group>
        </td>
    </tr>;
};

export default Item;
