import React from "react";
import {Message} from "semantic-ui-react";

const Errors = ({errorMessage, errors}) => {
    return <Message negative>
        <Message.Header>{errorMessage}</Message.Header>
        <div>
            {
                Object.keys(errors).map(key => (
                        <div key={key}>
                            <div>{key.charAt(0).toUpperCase() + key.slice(1)}</div>
                            <ul className="list">
                                {errors[key].map(error => (<li key={error} className="content">{error}</li>))}
                            </ul>
                        </div>
                    )
                )
            }
        </div>
    </Message>
};

export default Errors;
