import React, {useEffect, useState} from 'react';
import {get} from "../../../services/request";
import {API_BASE_URL} from "../../../config";
import {Message} from 'semantic-ui-react';
import ArticleForm from "../ArticleForm/ArticleForm";
import {useParams} from "react-router-dom";

const ArticleEdit = () => {
    const [state, setState] = useState({
        article: null,
        isLoading: false,
    });
    const {id} = useParams();

    useEffect(() => {
        const token = localStorage.getItem('token');
        if (!state.article) {
            setState(prevState => ({...prevState, isLoading: true}));
            get(API_BASE_URL + `/articles/${id}`, token)
                .then(data => setState(prevState => ({...prevState, article: data.data, isLoading: false})));
        }
    }, [id]);

    return (
        <div>
            {state.isLoading && <Message info header="Loading article..."/>}
            {state.article && <ArticleForm article={state.article}/>}
        </div>
    );
};

export default ArticleEdit;

