import {createBrowserRouter} from "react-router-dom";
import HomePage from "../components/HomePage/HomePage";
import Root from "./Root";
import React from 'react';
import Error from "./Error";
import ArticleList from "../containers/Article/ArticleList/ArticleList";
import Register from "../containers/Auth/Register/Register";
import Login from "../containers/Auth/Login/Login";
import ArticleForm from "../containers/Article/ArticleForm/ArticleForm";
import ArticleEdit from "../containers/Article/ArticleEdit/ArticleEdit";
import ArticleShow from "../containers/Article/ArticleShow/ArticleShow";
import PrivateRoute from "./PrivateRoute";

const router = createBrowserRouter([
    {
        path: "/",
        element: <Root />,
        errorElement: <Error />,
        children: [
            {
                path: '/',
                element: <HomePage />
            },
            {
                path: '/articles',
                element: <PrivateRoute component={<ArticleList />}/>
            },
            {
                path: '/articles/create',
                element:<PrivateRoute component={<ArticleForm />}/>
            },
            {
                path: '/articles/:id',
                element: <PrivateRoute component={<ArticleShow />}/>
            },
            {
                path: '/articles/:id/update',
                element: <PrivateRoute component={<ArticleEdit />}/>
            },
            {
                path: '/register',
                element: <Register />
            },
            {
                path: '/login',
                element: <Login />
            }
        ]
    }
]);

export default router;
