function playWithResponsePromise(response) {
    return new Promise(function (resolve, reject) {
        if (response.status < 400) response.json().then(resolve);
        else response.json().then(resolve);
    });
}

export function get(url, token) {
    return fetch(
        url,
        {
            method: 'GET',
            headers: {
                'Accept': 'application/json',
                'Content-type': 'application/json',
                ...token && {'Authorization': 'Bearer ' + token}
            }
        }
    ).then(playWithResponsePromise);
}

export function post(url, data, token) {
    return fetch(
        url,
        {
            method: 'POST',
            body: JSON.stringify(data),
            headers: {
                'Accept': 'application/json',
                'Content-type': 'application/json',
                ...token && {'Authorization': 'Bearer ' + token}
            }
        }
    ).then(playWithResponsePromise);
}

export function remove(url, token) {
    return fetch(
        url,
        {
            method: 'DELETE',
            headers: {
                'Accept': 'application/json',
                'Content-type': 'application/json',
                ...token && {'Authorization': 'Bearer ' + token}
            }
        }
    );
}

export function put(url, data, token) {
    return fetch(
        url,
        {
            method: 'PUT',
            body: JSON.stringify(data),
            headers: {
                'Accept': 'application/json',
                'Content-type': 'application/json',
                ...token && {'Authorization': 'Bearer ' + token}
            }
        }
    ).then(playWithResponsePromise);
}
